Subject: Re: Small patch modifying variable name to reflect the logic involved

From: Daniel Gustafsson <[email-masked]>
Date: Thu, 14 Sep 2023 11:30:54 +0200

> On 14 Sep 2023, at 08:28, Krishnakumar R <[email-masked]> wrote:

> Please find a small patch to improve code readability by modifying
> variable name to reflect the logic involved - finding diff between end
> and start time of WAL sync.

-	INSTR_TIME_ACCUM_DIFF(PendingWalStats.wal_sync_time, duration, start);
+	INSTR_TIME_SET_CURRENT(end);
+	INSTR_TIME_ACCUM_DIFF(PendingWalStats.wal_sync_time, end, start);

Agreed, the duration is the result of the INSTR_TIME_ACCUM_DIFF calculation,
not what's stored in the instr_time variable.

--
Daniel Gustafsson

---

From: Daniel Gustafsson <[email-masked]>
Date: Fri, 15 Sep 2023 19:50:51 +0200

> On 14 Sep 2023, at 11:30, Daniel Gustafsson <[email-masked]> wrote:
> 

And done, with a small fixup to handle another occurrence in the same file.

--
Daniel Gustafsson